Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class CreateUserExtraInfo

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagExtraInfo
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTagExtraInfo
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.CreateUserExtraInfo

    public class CreateUserExtraInfo

extends ResultTagExtraInfo

Sets JSP page-scoped variables as a result of the <um:createUser> tag. This will include a result variable containing the result of the operation, and optionally an id variable containing the new User.

Constructor Summary
`CreateUserExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)` Create an array of VariableInfo objects containing information about the variables to create.
`boolean` | `isValid(javax.servlet.jsp.tagext.TagData data)`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTagExtraInfo
`createResultInfo`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateUserExtraInfo

    public CreateUserExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Create an array of VariableInfo objects containing information about the variables to create.

  Overrides:
    `getVariableInfo` in class `ResultTagExtraInfo`

### isValid

    public boolean isValid(javax.servlet.jsp.tagext.TagData data)

  Overrides:
    `isValid` in class `ResultTagExtraInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved